import { anyPass, contains, isNil } from 'ramda'
import isJsonPath from './isJsonPath'

const isValueForOperation = anyPass([
  (op, value) => contains(op, ['add', 'replace', 'test']) && ! isNil(value),
  (op, value) => op === 'remove',
  (op, value) => contains(op, ['move', 'copy']) && isJsonPath(value)
])

export default isValueForOperation
